Subject: Re: Building perl5 for cygwin32
From: [email-masked] (Alexander Gotlib)

28 Aug 1998 11:01:13 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=koi8-r
Content-Transfer-Encoding: 7bit
To: Jeff Bergan <[email-masked]>
Cc: GNU-Win32 Mailing List <[email-masked]>

Helle Jeff Bergan.

> I'm trying to build perl for cygwin32, but when it tries to build FCntl it
> fails, with the last command being:
> 
> gcc2 -c -DCYGWIN32 -DCRIPPLED_CC -O -DVERSION=\"1.03\" -DXS_VERSION=\"1.03\"
>         -DCYGWIN32 -DDLLIMPORT -I ../.. Fcntl.c
> In file included from ../../perl.h:1011,
>         from Fcntl.xs:2:
> ../../op.h:132: syntax error before '('
> ../../op.h:134: syntax error before '}'
> gcc: Internal compiler error: program cc1 got fatal signal 33
> 
> Now, the Install file suggests using CRIPPLED_CC for this error, which is
> why I put it in, but it didn't seem to make the error go away.  Does anybody
> know what I did wrong, and what I would do to fix it?  Is Fcntl necessary
> for running perl?
> 
> I'm using cygwin32 b18 on NT.  Thanks for any help!

	Try it with b19. I've tried and it was success... Or you can download
compiled bins ftp://brain.cca.usart.ru/GNUWin32

                                                 Alexander Gotlib.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".